﻿@model Tuple<ARGNSModelView, List<string>>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
    List<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP> listVendor = new List<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP>();
    listVendor.Add(new ARGNS.Model.Implementations.SAP.BusinessPartnerSAP());
    listVendor.AddRange(Model.Item1.ListPDMSAPCombo.BusinessPartnerList.Where(c => c.CardType == "S").ToList());

    List<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP> listCustomer = new List<ARGNS.Model.Implementations.SAP.BusinessPartnerSAP>();
    listCustomer.Add(new ARGNS.Model.Implementations.SAP.BusinessPartnerSAP());
    listCustomer.AddRange(Model.Item1.ListPDMSAPCombo.BusinessPartnerList.Where(c => c.CardType == "C").ToList());

    bool _UpdateTechPack = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PLMTechPack.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewTechPack = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PLMTechPack.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var pageFrom = '@ViewBag.PageFrom';
    var pFrom = '@ViewBag.From';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
@Scripts.Render("~/bundles/FileInput")
@Styles.Render("~/Content/DataPicker")

@using (Html.BeginForm("ConfirmAction", "PDM", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formPDM" }))
{
    <div class="col-md-8 col-sm-8 col-xs-12 col_derecha">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">Data Management</h3>
            </div>
            <div class="panel-body">
                @Html.TextBoxFor(c => c.Item1.Code, new { @Id = "Code", @Name = "Code", @class = "form-control", @style = "display: none" })
                @Html.TextBoxFor(c => c.Item1.U_Pic, new { @Id = "U_Pic", @Name = "U_Pic", @class = "form-control", @style = "display: none" })
                @Html.TextBoxFor(c => c.Item1.U_PicR, new { @Id = "U_PicR", @Name = "U_PicR", @class = "form-control", @style = "display: none" })

                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.DN</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_DocNumb, new SelectList(
                                Model.Item1.ListPDMSAPCombo.DocNumbering,
                                "Code",
                                "U_Desc", Model.Item1.U_DocNumb), new { @Id = "U_DocNumb", @Name = "U_DocNumb", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Code</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_ModCode, new { @Id = "U_ModCode", @Name = "U_ModCode", @placeholder = @PDM.Code, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Desc</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_ModDesc, new { @Id = "U_ModDesc", @Name = "U_ModDesc", @placeholder = @PDM.Desc, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.DescLang</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_FrgnDesc, new { @Id = "U_FrgnDesc", @Name = "U_FrgnDesc", @placeholder = @PDM.DescLang, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Status</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Status, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListStatus,
                                "Code",
                                "Name", Model.Item1.U_Status), new { @Id = "U_Status", @Name = "U_Status", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.PL</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_LineCode, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListProductLine,
                                "Code",
                                "Name", Model.Item1.U_LineCode), new { @Id = "U_LineCode", @Name = "U_LineCode", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.PG</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_ModGrp, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListModelGroup,
                                "Code",
                                "Name", Model.Item1.U_ModGrp), new { @Id = "U_ModGrp", @Name = "U_ModGrp", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Segmentation</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_ATGrp, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListSegmentation,
                                "Code",
                                "Name", Model.Item1.U_ATGrp), new { @Id = "U_ATGrp", @Name = "U_ATGrp", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.AG</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_SapGrp, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListItemGroup,
                                "ItmsGrpCod",
                                "ItmsGrpNam", Model.Item1.U_SapGrp), new { @Id = "U_SapGrp", @Name = "U_SapGrp", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Season</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Season, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListSeason,
                                "Code",
                                "Name", Model.Item1.U_Season), new { @Id = "U_Season", @Name = "U_Season", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Coll</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_CollCode, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListCollection,
                                "U_CollCode",
                                "U_Desc", Model.Item1.U_CollCode), new { @Id = "U_CollCode", @Name = "U_CollCode", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.SColl</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_AmbCode, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListSubCollection,
                                "U_AmbCode",
                                "U_Desc", Model.Item1.U_AmbCode), new { @Id = "U_AmbCode", @Name = "U_AmbCode", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Composition</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_CompCode, new SelectList(
                                Model.Item1.ListPDMSAPCombo.CompositionList,
                                "Code",
                                "U_Desc", Model.Item1.U_CompCode), new { @Id = "U_CompCode", @Name = "U_CompCode", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.SG</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_GrpSCod, new SelectList(
                                Model.Item1.ListPDMSAPCombo.SimbolList,
                                "U_CodeGrp",
                                "U_Desc", Model.Item1.U_GrpSCod), new { @Id = "U_GrpSCod", @Name = "U_GrpSCod", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Brand</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Brand, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListBrand,
                                "Code",
                                "Name", Model.Item1.U_Brand), new { @Id = "U_Brand", @Name = "U_Brand", @class = "form-control" })
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Designer</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Designer, new SelectList(
                                Model.Item1.ListPDMSAPCombo.DesignerList,
                                "empID",
                                "completeName", Model.Item1.U_Designer), new { @Id = "U_Designer", @Name = "U_Designer", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Division</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Division, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListDivision,
                                "Code",
                                "Name", Model.Item1.U_Division), new { @Id = "U_Division", @Name = "U_Division", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Year</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Year, new SelectList(
                                Model.Item1.ListPDMSAPCombo.ListYear,
                                "Code",
                                "Name", Model.Item1.U_Year), new { @Id = "U_Year", @Name = "U_Year", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group" style="display: none">
                        <label class="col-md-4 control-label">@PDM.Owner</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_Owner, new { @Id = "U_Owner", @Name = "U_Owner", @placeholder = @PDM.Owner, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.City</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_COO, new { @Id = "U_COO", @Name = "U_COO", @placeholder = @PDM.City, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.DOS</label>
                        <div class="col-md-8">
                            <div class="input-group date">
                                @Html.TextBoxFor(c => c.Item1.U_SSDate, new { @Id = "U_SSDate", @Name = "U_SSDate", @placeholder = @PDM.DOS, @class = "form-control", @Value = (Model.Item1.U_SSDate != null && Model.Item1.U_SSDate != DateTime.MinValue) ? Model.Item1.U_SSDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.CD</label>
                        <div class="col-md-8">
                            <div class="input-group date">
                                @Html.TextBoxFor(c => c.Item1.U_SCDate, new { @Id = "U_SCDate", @Name = "U_SCDate", @placeholder = @PDM.CD, @class = "form-control", @Value = (Model.Item1.U_SCDate != null && Model.Item1.U_SCDate != DateTime.MinValue) ? Model.Item1.U_SCDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Customer</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Customer, new SelectList(
                                listCustomer,
                                "CardCode",
                                "CardName", Model.Item1.U_Customer), new { @Id = "U_Customer", @Name = "U_Customer", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Vendor</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Vendor, new SelectList(
                                listVendor,
                                "CardCode",
                                "CardName", Model.Item1.U_Vendor), new { @Id = "U_Vendor", @Name = "U_Vendor", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.MW</label>
                        <div class="col-md-4">
                            @Html.TextBoxFor(c => c.Item1.U_MainWhs, new { @Id = "U_MainWhs", @Name = "U_MainWhs", @placeholder = @PDM.MW, @class = "form-control" })
                        </div>
                        <div class="col-md-4 pull-left">
                            <button type="button" class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#WhModal"><span class="glyphicon glyphicon-search"></span> @PDM.Wh </button>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.SW</label>
                        <div class="col-md-4">
                            @Html.TextBoxFor(c => c.Item1.U_WhsNewI, new { @Id = "U_WhsNewI", @Name = "U_WhsNewI", @placeholder = @PDM.SW, @class = "form-control" })
                        </div>
                        <div class="col-md-4 pull-left">
                            <button type="button" class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#SecondaryWhModal"><span class="glyphicon glyphicon-search"></span> @PDM.Wh </button>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.PriceList</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_PList, new SelectList(
                                Model.Item1.ListPDMSAPCombo.PriceList,
                                "ListNum",
                                "ListName", Model.Item1.U_PList), new { @Id = "U_PList", @Name = "U_PList", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Currency</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Currency, new SelectList(
                                Model.Item1.ListPDMSAPCombo.CurrencyList,
                                "CurrCode",
                                "CurrName", Model.Item1.U_Currency), new { @Id = "U_Currency", @Name = "U_Currency", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Price</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_Price, new { @Id = "U_Price", @Name = "U_Price", @placeholder = @PDM.Price, @class = "form-control" })
                        </div>
                    </div>
                    @Html.HiddenFor(c => c.Item1.U_SclCode, new { @Id = "U_SclCode", @Name = "U_SclCode" })
                    @Html.HiddenFor(c => c.Item1.U_ChartCod, new { @Id = "U_ChartCod", @Name = "U_ChartCod" })
                </div>
            </div>
        </div>

        <div class="panel-group" id="accordionMain">
            @if (Model.Item1.MappedUdf.Count > 0)
            {
                <div class="panel panel-default" id="accordionUDF">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionUDF" href="#collapseUDF">
                                UDF
                                <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                            </a>
                        </h4>
                    </div>
                    <div id="collapseUDF" class="panel-collapse collapse" style="height: auto;">
                        <div class="panel-body">
                            @{
                                foreach (var DictRow in Model.Item1.MappedUdf)
                                {
                                    if (DictRow.ListUFD1.Count > 0)
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                    DictRow.ListUFD1,
                                                    "FldValue",
                                                    "Descr", DictRow.Value), new { @Id = "UDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                            </div>
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "UDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                            </div>
                                        </div>
                                    }
                                }
                            }
                        </div>
                    </div>
                </div>
                                }

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="LinkcollapseComment" class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionMain" href="#collapseComment">@PDM.Comments<i class="indicator glyphicon glyphicon-chevron-up pull-right"></i></a>
                    </h4>
                </div>

                <div id="collapseComment" class="panel-collapse collapse" >
                    <div class="panel-body">
                        @Html.TextAreaFor(c => c.Item1.U_Comments, new { @Id = "U_Comments", @Name = "U_Comments", @placeholder = @PDM.Comments, @class = "form-control" })
                    </div>
                </div>

            </div>

            @* ---- ------ ---- Comments ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="Linkcollapseone" class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionMain" href="#collapseOne" onclick="LogCommentAccordionShow(); return false;">@PDM.LogComments<i class="indicator glyphicon glyphicon-chevron-up pull-right"></i></a>
                    </h4>
                </div>
                <div id="collapseOne" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div class="form-group">
                            @*<div style="margin-left: 10px;" class="col-md-2">
                        <label>@PDM.Comments</label>
                    </div>*@
                            <div  class="col-md-11">
                                @Html.TextArea("txtLogComment", new { @Id = "txtLogComment", @placeholder = @PDM.Comments, @class = "form-control" })
                                <div style="margin-top: 5px;" class="alert alert-danger" id="alertLog" role="alert">
                                    <strong>@PDM.WriteMessage</strong>
                                </div>
                            </div>
                        </div>
                        <div class="form-group" style="margin-left: 0px; margin-bottom: 0px; margin-top: 0px;" id="FilesLogs">
                            <div>
                                <input id="UpdateFile" type="file" class="file" data-preview-file-type="any" name="">
                            </div>
                            <br />
                            <div>
                                <button id="UploadFiles" class="btn btn-success btn-ls pull-left" type="button"><span class="glyphicon glyphicon-file"></span>@PDM.Add</button>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="divider"></div>
                        <div id="PanelComments" class="">
                            <div id="LoadingComment">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                            @Html.Partial("_PDMListComment", Model.Item1.ListComment)
                        </div>
                    </div>
                </div>
            </div>

            @* ---- ------ ---- Samples ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="SamplesAccordion" class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseSample" onclick="SamplesAccordionShow(); return false;">
                            @Samples.Samp
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseSample" class="panel-collapse collapse">
                    <div class="panel-body">
                       
                            <div id="SamplesTable" class="table-responsive">
                                <div id="LoadingSamples" style="display: none">
                                    <img src="~/Content/img/fountain.GIF" />
                                </div>
                            </div>
                        <div class="clearfix"></div>
                        <div class="divider"></div>
                      
                        @if (ViewBag.FormMode != "AddModel")
                        {
                            <div class="form-group" style="margin-left: 0px;  margin-top: 5px;" id="SamplesContButtons">
                                @*<button id="AddSample"   class="btn btn-success btn-ls pull-left" type="button"><span class="glyphicon glyphicon-file"></span>@PDM.Add</button>*@
                                <a class="btn btn-success btn-ls pull-left" href="@Url.Action("ViewAdd", "Samples", new { @pModCode = Model.Item1.U_ModCode })" target="_blank"><span class="glyphicon glyphicon-file"></span>@PDM.Add</a>
                            </div>
                        }

                    </div>
                </div>
            </div>

            @* ---- ------ ---- Material Detail ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="MDAccordion" class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseMD" onclick="MaterialDetailAccordionShow(); return false;">
                            @MaterialDetail.MD
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseMD" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div id="MDTable" class="table-responsive">
                            <div id="LoadingMD" style="display: none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="divider"></div>
                            @if (ViewBag.FormMode != "AddModel")
                            {
                                <div class="form-group" style="margin-left: 0px; ">
                                    <a id="MDAddButton" class="btn btn-success btn-ls pull-left" href="@Url.Action("ActionMD", "MaterialDetail", new { @ActionMD = "Add", @pModelCode = Model.Item1.U_ModCode })" target="_blank" disabled="disabled" onclick="this.style.display = 'none';" style="display: none;"><span class="glyphicon glyphicon-file"></span>@PDM.Add</a>
                                </div>
                            }
                        </div>

                </div>
            </div>

            @* ---- ------ ---- Projects ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="projectsAccordion" class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseTwo" onclick="ProjectAccordionShow(); return false;">
                            @PDM.Projects
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseTwo" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div id="ProjectTable" class="table-responsive">
                            <div id="LoadingProjects" style="display: none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="divider"></div>
                        @if (ViewBag.FormMode != "AddModel")
                        {
                            <div class="form-group" style="margin-left: 0px;" id="ProjectAddButton">
                                <a class="btn btn-success btn-ls pull-left" href="@Url.Action("ProjectAction", "Project", new { @pAction = "Add", @pCode = 0, @pModelCode = Model.Item1.U_ModCode, @pModelId = Model.Item1.Code })" target="_blank"><span class="glyphicon glyphicon-file"></span>@PDM.Add</a>
                            </div>
                        }
                    </div>
                </div>
            </div>

            @* ---- ------ ---- Logos ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="logosAccordion" class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseLogos" onclick="LogosAccordionShow(); return false;">
                            Logos
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseLogos" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div id="LogosTable" class="table-responsive">
                            <div id="LoadingLogos" style="display: none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            @* ---- ------ ---- Attachments ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseThree">
                            @PDM.Attachments
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseThree" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div class="table-responsive">
                            <div class="form-group" style="margin-left: 0px; margin-top: 5px; " id="divinputfile">
                                <div class="form-group">
                                    <input id="file-1" type="file" multiple class="file">
                                </div>
                                <script>
                                    //$("#file-1").fileinput({
                                    //    uploadUrl: '#',
                                    //    overwriteInitial: false,
                                    //    showPreview: false
                                    //});
                                    //$('#file-1').fileinput('clear');
                                </script>
                                <br />
                                <div>
                                    <button id="UploadAttach" class="btn btn-success btn-ls pull-left" type="button">Upload</button>
                                </div>
                            </div>
                            <br />

                            <div class="form-group">
                                @Html.Partial("_FilesList", Model.Item1.ModelFileList.Select(c => { c.U_ModCode = Model.Item1.U_ModCode; return c; }).ToList())
                            </div>

                        </div>

                    </div>
                </div>
            </div>

            @* ---- ------ ---- Cost Sheets ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="LinkcollapseFive" class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseFive" onclick="CostSheetAccordionShow(); return false;">
                            @PDM.CS
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseFive" class="panel-collapse collapse">
                    <div id="PanelCostSheet" class="panel-body">
                        <div id="LoadingCostSheet">
                            <img src="~/Content/img/fountain.GIF" />
                        </div>
                        @Html.Partial("_PDMListCostSheet", Tuple.Create(Model.Item1.ListCostSheet, ""))
                        <div class="clearfix"></div>
                        <div class="divider"></div>
                        @if (ViewBag.FormMode != "AddModel")
                        {
                            <div class="form-group" style="margin-left: 0px; margin-top: 0px;" id="CostSheetAddButton">
                                <a class="btn btn-success btn-ls pull-left" href="@Url.Action("_CostSheet", "CostSheet", new { @ActionMyCostSheet = "Add", @Code = 0, @ModeCodeDb = Model.Item1.Code, @fromController = "CostSheet" })" target="_blank"><span class="glyphicon glyphicon-file"></span>@PDM.Add</a>
                            </div>
                        }
                    </div>
                </div>
            </div>

            @* ---- ------ ---- POM ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a id="pomAccordion" class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapsePom" onclick="PomAccordionShow(); return false;">
                            @PDM.POM
                            @Html.HiddenFor(c => c.Item1.U_SclPOM, new { @Id = "U_SclPOM", @Name = "U_SclPOM" })
                            @Html.HiddenFor(c => c.Item1.U_CodePOM, new { @Id = "U_CodePOM", @Name = "U_CodePOM" })
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapsePom" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div id="PomTable" class="table-responsive" style="overflow-Y: hidden;">
                            <div id="LoadingPom" style="display: none">
                                <img src="~/Content/img/fountain.GIF" />
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="divider"></div>
                        @if (ViewBag.FormMode != "AddModel")
                        {
                            <button type="button" class="btn btn-success  btn-ls pull-left" data-toggle="modal" data-target="#ModalPOMTemplate" onclick="GetPOMTemplateList()"><span class="glyphicon glyphicon-file"></span>@PDM.Add</button>
                        }
                    </div>
                </div>
            </div>
                        
            @* ---- ------ ---- Stock ---- ------ ----*@
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseSeven">
                            Stock
                            <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseSeven" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div class="bs-example2-tabs">
                            <ul id="myTab" class="nav nav-tabs" role="tablist">
                                @{int mContWhs = 0;
                                    foreach (var whsGroup in Model.Item1.ModelStockList.GroupBy(c => c.WhsCode))
                                    {
                                <li class="@(mContWhs == 0 ? "active" : "")">
                                    <a href="#tab-@whsGroup.Key" role="tab" data-toggle="tab">@whsGroup.Key</a>
                                </li>
                                        mContWhs++;
                                    }
                                }
                            </ul>
                            <div id="myTabContentGeneral" class="tab-content">
                                @{  mContWhs = 0;
                                  foreach (var whsGroup in Model.Item1.ModelStockList.GroupBy(c => c.WhsCode))
                                  {
                                <div class="tab-pane fade @(mContWhs == 0 ? "active in" : "")" id="tab-@whsGroup.Key">
                                    <div id="myTabContentSubGeneral" class="tab-content">
                                        <div class="panel-group" id="accordion3">
                                            @foreach (var color in Model.Item1.ModelStockList.Where(p => p.WhsCode == whsGroup.Key).GroupBy(c => c.U_ARGNS_COL))
                                                {
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h4 class="panel-title">
                                                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion3" href="#collapse-@whsGroup.Key-@color.Key.Replace(" ", "")">
                                                            @color.Key
                                                        </a><i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                                                    </h4>
                                                </div>
                                                <div id="collapse-@whsGroup.Key-@color.Key.Replace(" ", "")" class="panel-collapse collapse">
                                                    <div class="panel-body">
                                                        @if (Model.Item1.ModelStockList.FirstOrDefault().U_ARGNS_VAR != null)
                                                                {
                                                            <div class="panel-group" id="accordion4">
                                                                @foreach (var variable in Model.Item1.ModelStockList.Where(c => c.U_ARGNS_COL == color.Key && c.WhsCode == whsGroup.Key).GroupBy(p => p.U_ARGNS_VAR).ToList())
                                                                {
                                                                    System.Text.StringBuilder sbOnHand = new System.Text.StringBuilder("<tr><td>" + PDM.OnHand + "</td>");
                                                                    System.Text.StringBuilder sbCommited = new System.Text.StringBuilder("<tr><td>" + PDM.Committed + "</td>");
                                                                    System.Text.StringBuilder sbOnOrdered = new System.Text.StringBuilder("<tr><td>" + PDM.Ordered + "</td>");
                                                                    System.Text.StringBuilder sbOnAvailable = new System.Text.StringBuilder("<tr><td>" + PDM.Available + "</td>");
                                                                    <div class="panel panel-default">
                                                                        <div class="panel-heading">
                                                                            <h4 class="panel-title">
                                                                                <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion9" href="#collapse-@whsGroup.Key-@color.Key.Replace(" ", "")-@(variable.Key != null ? variable.Key.Replace(" ", "") : "")">
                                                                                    @(variable != null ? variable.Key : "")
                                                                                </a><i class="indicator glyphicon  pull-right"></i>
                                                                            </h4>
                                                                        </div>
                                                                        <div id="collapse-@whsGroup.Key-@color.Key.Replace(" ", "")-@(variable.Key != null ? variable.Key.Replace(" ", "") : "")" class="panel-collapse collapsed">
                                                                            <div class="panel-body">
                                                                                @{
                                                                                    foreach (var info in Model.Item1.ModelStockList.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_VAR == (variable.Key != null ? variable.Key : "") && c.WhsCode == whsGroup.Key).OrderBy(c => c.U_ARGNS_SIZEVO).ToList())
                                                                                    {
                                                                                        if (Model.Item1.administrationApparel.U_SBODec == "Y")
                                                                                        {
                                                                                            sbOnHand.Append("<td>" + (info.OnHand != null ? Math.Round((decimal)info.OnHand, Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                                            sbCommited.Append("<td>" + (info.IsCommited != null ? Math.Round((decimal)info.IsCommited, Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                                            sbOnOrdered.Append("<td>" + (info.OnOrder != null ? Math.Round((decimal)info.OnOrder, Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                                            sbOnAvailable.Append("<td>" + ((info.OnHand - info.IsCommited + info.OnOrder) != null ? Math.Round((decimal)(info.OnHand - info.IsCommited + info.OnOrder), Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                                        }
                                                                                        else
                                                                                        {
                                                                                            sbOnHand.Append("<td>" + (info.OnHand != null ? Math.Round((decimal)info.OnHand, 0) : 0) + "</td>");
                                                                                            sbCommited.Append("<td>" + (info.IsCommited != null ? Math.Round((decimal)info.IsCommited, 0) : 0) + "</td>");
                                                                                            sbOnOrdered.Append("<td>" + (info.OnOrder != null ? Math.Round((decimal)info.OnOrder, 0) : 0) + "</td>");
                                                                                            sbOnAvailable.Append("<td>" + ((info.OnHand - info.IsCommited + info.OnOrder) != null ? Math.Round((decimal)(info.OnHand - info.IsCommited + info.OnOrder), 0) : 0) + "</td>");
                                                                                        }
                                                                                    }
                                                                                }
                                                                                <div class="table-responsive">
                                                                                    <table class="table table-striped">
                                                                                        <thead>
                                                                                            <tr>
                                                                                                <th>Sizes</th>
                                                                                                @foreach (var sizes in Model.Item1.ModelStockList.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_VAR == (variable.Key != null ? variable.Key : "") && c.WhsCode == whsGroup.Key).OrderBy(c => c.U_ARGNS_SIZEVO).GroupBy(c => c.U_ARGNS_SIZE))
                                                                                                        {
                                                                                                    <th>@sizes.Key</th>
                                                                                                        }
                                                                                            </tr>
                                                                                        </thead>
                                                                                        <tbody>
                                                                                            @Html.Raw(sbOnHand.Append("</tr>"))
                                                                                            @Html.Raw(sbCommited.Append("</tr>"))
                                                                                            @Html.Raw(sbOnOrdered.Append("</tr>"))
                                                                                            @Html.Raw(sbOnAvailable.Append("</tr>"))
                                                                                        </tbody>
                                                                                    </table>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                        }

                                                            </div>
                                                                }
                                                                else
                                                                {
                                                                    System.Text.StringBuilder sbOnHand = new System.Text.StringBuilder("<tr><td>" + PDM.OnHand + "</td>");
                                                                    System.Text.StringBuilder sbCommited = new System.Text.StringBuilder("<tr><td>" + PDM.Committed + "</td>");
                                                                    System.Text.StringBuilder sbOnOrdered = new System.Text.StringBuilder("<tr><td>" + PDM.Ordered + "</td>");
                                                                    System.Text.StringBuilder sbOnAvailable = new System.Text.StringBuilder("<tr><td>" + PDM.Available + "</td>");
                                                                    foreach (var info in Model.Item1.ModelStockList.Where(c => c.U_ARGNS_COL == color.Key && c.WhsCode == whsGroup.Key).OrderBy(c => c.U_ARGNS_SIZEVO).ToList())
                                                                    {
                                                                        if (Model.Item1.administrationApparel.U_SBODec == "Y")
                                                                        {
                                                                            sbOnHand.Append("<td>" + (info.OnHand != null ? Math.Round((decimal)info.OnHand, Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                            sbCommited.Append("<td>" + (info.IsCommited != null ? Math.Round((decimal)info.IsCommited, Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                            sbOnOrdered.Append("<td>" + (info.OnOrder != null ? Math.Round((decimal)info.OnOrder, Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                            sbOnAvailable.Append("<td>" + ((info.OnHand - info.IsCommited + info.OnOrder) != null ? Math.Round((decimal)(info.OnHand - info.IsCommited + info.OnOrder), Convert.ToInt32(Model.Item1.administrationSAP.QtyDec.ToString())) : 0) + "</td>");
                                                                        }
                                                                        else
                                                                        {
                                                                            sbOnHand.Append("<td>" + (info.OnHand != null ? Math.Round((decimal)info.OnHand, 0) : 0) + "</td>");
                                                                            sbCommited.Append("<td>" + (info.IsCommited != null ? Math.Round((decimal)info.IsCommited, 0) : 0) + "</td>");
                                                                            sbOnOrdered.Append("<td>" + (info.OnOrder != null ? Math.Round((decimal)info.OnOrder, 0) : 0) + "</td>");
                                                                            sbOnAvailable.Append("<td>" + ((info.OnHand - info.IsCommited + info.OnOrder) != null ? Math.Round((decimal)(info.OnHand - info.IsCommited + info.OnOrder), 0) : 0) + "</td>");
                                                                        }
                                                                    }
                                                                    <div class="table-responsive">
                                                                        <table class="table table-striped">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th>@PDM.Sizes</th>
                                                                                    @if (Model.Item1.ModelStockList.FirstOrDefault().U_ARGNS_SIZE != null && Model.Item1.ModelStockList.FirstOrDefault().U_ARGNS_SIZE != "")
                                                                                            {
                                                                                                foreach (var sizes in Model.Item1.ModelStockList.Where(c => c.U_ARGNS_COL == color.Key && c.WhsCode == whsGroup.Key).OrderBy(c => c.U_ARGNS_SIZEVO).GroupBy(c => c.U_ARGNS_SIZE))
                                                                                                {
                                                                                        <th>@sizes.Key</th>
                                                                                                }
                                                                                            }
                                                                                            else
                                                                                            {
                                                                                        <th>@PDM.Quantity</th>
                                                                                            }
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>
                                                                                @Html.Raw(sbOnHand.Append("</tr>"))
                                                                                @Html.Raw(sbCommited.Append("</tr>"))
                                                                                @Html.Raw(sbOnOrdered.Append("</tr>"))
                                                                                @Html.Raw(sbOnAvailable.Append("</tr>"))
                                                                            </tbody>
                                                                        </table>
                                                                    </div>
                                                                }
                                                    </div>
                                                </div>
                                            </div>
                                                }
                                        </div>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>

                                                mContWhs++;
                                  }
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <script type='text/javascript'>
                function toggleChevron(e) {
                    $(e.target)
                    .prev('.panel-heading')
                    .find("i.indicator")
                    .toggleClass('glyphicon-chevron-down glyphicon-chevron-up');
                }

                function toggleChevronDown(e) {
                    $(e.target)
                    .prev('.panel-heading')
                    .find("i.indicator")
                    .toggleClass('glyphicon-chevron-up glyphicon-chevron-down');
                }

                $('#accordionMain').on('show.bs.collapse', toggleChevronDown);
                $('#accordionMain').on('hide.bs.collapse', toggleChevron);
            </script>
        </div>

    </div>
    
    <div class="col-md-4 col-sm-4 col-xs-12 col_izquierda">

        <div class="panel panel-default">

            <div class="panel-heading clearfix">
                <h3 class="panel-title">@PDM.Product</h3>
            </div>

            <div class="panel-body" id="bloke2" style="background-color: white;">

                <!--galeria-->

                <div id="carousel" class="carousel slide" data-ride="carousel">
                    <div class="carousel-inner">
                        @{
                            int mCont = 0;
                            foreach (var item in Model.Item1.ModelImageList)
                            {
                                <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                    <img src="/images/@Model.Item1.U_ModCode/@item.U_File">
                                </div>
                                mCont = 1;
                            }
                            if (Model.Item1.ModelImageList.Count == 0)
                            {
                                <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                    <img src="/Content/img/noimage.gif">
                                </div>
                            }

                        }


                    </div>
                </div>
               

                    <div id="thumbcarousel" class="carousel slide" data-interval="false">
                        <div class="carousel-inner">
                            @{
                                for (int i = 0; i < Model.Item1.ModelImageList.Count; i += 4)
                                {
                                    int index = 0;
                                    if ((i + 3) < Model.Item1.ModelImageList.Count) { index = 4; }
                                    else { index = Model.Item1.ModelImageList.Count - i; }

                                    <div class="@(i == 0 ? "item active" : "item")">
                                        @for (int j = 0; j < index; j++)
                                        {
                                            <div data-target="#carousel" data-slide-to="@(i + j)" class="thumb">
                                                <img src="/images/@Model.Item1.U_ModCode/@Model.Item1.ModelImageList[i + j].U_File">
                                            </div>
                                        }
                                    </div>
                                }
                            }
                            <!-- /item -->
                        </div>
                        <!-- /carousel-inner -->
                        <a class="left carousel-control" href="#thumbcarousel" role="button" data-slide="prev">
                            <span class="glyphicon glyphicon-chevron-left"></span>
                        </a>
                        <a class="right carousel-control" href="#thumbcarousel" role="button" data-slide="next">
                            <span class="glyphicon glyphicon-chevron-right" style="margin-right: 20px;"></span>
                        </a>
                    </div>
                    <!-- /thumbcarousel -->
                
                <!-- /clearfix -->
                <!-- /col-sm-6 -->
                <!--close galeria-->

            </div>
        
        </div>

        <!--////////////////////////////UPLOAD FILE//////////////////////////////////////-->
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="form-group">
                    <input id="file-ImgUpload" type="file" multiple class="file" data-overwrite-initial="false">
                </div>
                <script>
                    $("#file-ImgUpload").fileinput({
                        uploadUrl: '#',
                        overwriteInitial: false,
                        allowedFileTypes: ['image'],
                        slugCallback: function (filename) {
                            return filename.replace('(', '_').replace(']', '_');
                        }
                    });
                </script>

                <div class="clearfix"></div>
            </div>
        </div>

        
                <!--///////////////////////////ACORDION INFORMACION//////////////////////////////-->
                <!--acordion-->
            <div class="panel-group" id="accordion2">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne2">
                                @PDM.Colors
                                <i class="indicator glyphicon glyphicon-chevron-up  pull-right"></i>
                            </a>
                        </h4>
                    </div>
                    <div id="collapseOne2" class="panel-collapse collapse">
                        <div class="panel-body">
                            <div class="table-responsive" id="ColorTableItems">
                                @Html.Partial("_ModelColorList", Model.Item1.ModelColorList)
                            </div>
                            <div class="clearfix"></div>

                            @if (Model.Item1.ModelSegmentation.U_UseCol == "Y")
                        {
                                <div class="col-md-2 pull-left">
                                    <button id="AddColor" type="button" class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#ColorModal"><span class="glyphicon glyphicon-search"></span> Add Color</button>
                                </div>
                        }
                        else
                        {
                                <div class="col-md-2 pull-left">
                                    <button id="AddColor" type="button" disabled class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#ColorModal"><span class="glyphicon glyphicon-search"></span> Add Color</button>
                                </div>
                        }
                        </div>
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseTwo2">
                                @PDM.Scale
                                <i class="indicator glyphicon glyphicon-chevron-up  pull-right"></i>
                            </a>
                        </h4>
                    </div>
                    <div id="collapseTwo2" class="panel-collapse collapse">
                        <div class="panel-body">
                            <div class="table-responsive" id="ScaleTableItems">
                                @Html.Partial("_ModelSizesList", Model.Item1.ModelSizeList)
                            </div>
                            <div class="clearfix"></div>

                            @if (Model.Item1.ModelSegmentation.U_UseScl == "Y")
                            {
                                <div class="col-md-2 pull-left">
                                    <button type="button" id="AddSize" class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#ScaleModal"><span class="glyphicon glyphicon-search"></span> Add Scale</button>
                                </div>
                            }
                            else
                            {
                                <div class="col-md-2 pull-left">
                                    <button type="button" id="AddSize" disabled class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#ScaleModal"><span class="glyphicon glyphicon-search"></span> Add Scale</button>
                                </div>

                            }

                        </div>
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseThree2">
                                @PDM.Variable
                                <i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                            </a>
                        </h4>
                    </div>
                    <div id="collapseThree2" class="panel-collapse collapse">
                        <div class="panel-body">

                            <div class="table-responsive" id="VariableTableItems">
                                @Html.Partial("_ModelVarList", Model.Item1.ModelVariableList)
                            </div>
                            <div class="clearfix"></div>

                            @if (Model.Item1.ModelSegmentation.U_UseVar == "Y")
                            {
                                <div class="col-md-2 pull-left">
                                    <button type="button" id="AddVar" class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#VarModal"><span class="glyphicon glyphicon-search"></span> Add Scale</button>
                                </div>
                            }
                            else
                            {
                                <div class="col-md-2 pull-left">
                                    <button type="button" id="AddVar" disabled class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#VarModal"><span class="glyphicon glyphicon-search"></span> Add Scale</button>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            </div>
                <!--acordion-->
           
    </div>

    <div class="but_blok_footer">
        <div class="col-md-12">
            <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
            @if ((_UpdateTechPack || _ViewTechPack) && ViewBag.FormMode != "AddModel")
            {
                <div class="btn-group dropup margin-left">
                    <button type="button" class="btn btn-default btn-lg dropdown-toggle pull-right" data-toggle="dropdown" aria-expanded="false">@PDM.TechPack <span class="caret"></span></button>
                    <ul class="dropdown-menu" role="menu">
                        @if (_ViewTechPack)
                        {
                            <li><a target="_blank" href="@Url.Action("TechPackAction", "TechPack", new { @pAction = "View", @pCode = @Model.Item1.Code })">@PDM.ViewTechPack</a></li>
                        }
                        @if (_UpdateTechPack)
                        {
                            <li><a target="_blank" href="@Url.Action("TechPackAction", "TechPack", new { @pAction = "Update", @pCode = @Model.Item1.Code })">@PDM.UpdateTechPack</a></li>
                        }
                    </ul>
                </div>
            }
            <a href='@Url.Action("ListModelLog", "PDM", new { @pModelCode = Model.Item1.Code })' class="btn btn-lg btn-default pull-right margin-left" target="_blank">
                Change Log
            </a>
            @if (Request.QueryString["From"] == "MyStyleList")
            {
                @Html.ActionLink(@Activity.Cancel, "Index", "MyStyles", null, new { @class = "btn btn-lg btn-default pull-right margin-left" });
            }
            @if (Request.QueryString["From"] == "MyStyleGrid")
            {
                @Html.ActionLink(@Activity.Cancel, "PDMGrid", "MyStyles", null, new { @class = "btn btn-lg btn-default pull-right margin-left" }) ;
            }
            @if (Request.QueryString["From"] == "List")
            {
                @Html.ActionLink(@Activity.Cancel, "Index", "PDM", null, new { @class = "btn btn-lg btn-default pull-right margin-left" });
            }
            @if (Request.QueryString["From"] == "Grid")
            {
                @Html.ActionLink(@Activity.Cancel, "PDMGrid", "PDM", null, new { @class = "btn btn-lg btn-default pull-right margin-left" }) ;
            }
            @if (Model.Item2.Count > 0)
            {
                @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item2));
            }
        </div>
    </div>

    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />

    @Html.HiddenFor(c => c.Item1.ModelSegmentation.Code, new { @Id = "SegmCode", @Name = "SegmCode" })
                                @Html.HiddenFor(c => c.Item1.ModelSegmentation.U_UseCol, new { @Id = "U_UseCol", @Name = "U_UseCol" })
                                @Html.HiddenFor(c => c.Item1.ModelSegmentation.U_UseScl, new { @Id = "U_UseScl", @Name = "U_UseScl" })
                                @Html.HiddenFor(c => c.Item1.ModelSegmentation.U_UseVar, new { @Id = "U_UseVar", @Name = "U_UseVar" })
                                @Html.HiddenFor(c => c.Item1.ModelSegmentation.U_UseMod, new { @Id = "U_UseMod", @Name = "U_UseMod" })

                                <div class="alert alert-success" id="UpdateCorrectly" role="alert">
                                    <strong>Well done!</strong> Updated Correctly to the Model.
                                </div>
                                }

<script>
    $(document).ready(listenWidth);
    $(window).resize(listenWidth);
    function listenWidth(e) {
        if ($(window).width() < 960) {
            $(".col_izquierda").remove().insertBefore($(".col_derecha"));

        } else {
            $(".col_derecha").remove().insertBefore($(".col_izquierda"));
        }
    }

    function GetValue(pId) {
        return $("#" + pId).val();
    }

</script>

<!-- JavaScript jQuery code from Bootply.com editor  -->


<script>
    $('#myTab a').click(function (e) {
        e.preventDefault()
        $(this).tab('show')
    })


</script>



<!--ACORDION-->
<script type='text/javascript'>
    function toggleChevron(e) {
        $(e.target)
        .prev('.panel-heading')
        .find("i.indicator")
        .toggleClass('glyphicon-chevron-down glyphicon-chevron-up');
    }

    function toggleChevronDown(e) {
        $(e.target)
        .prev('.panel-heading')
        .find("i.indicator")
        .toggleClass('glyphicon-chevron-up glyphicon-chevron-down');
    }

    $('#accordion2').on('show.bs.collapse', toggleChevronDown);
    $('#accordion2').on('hide.bs.collapse', toggleChevron);



</script>

<script>
    $("#U_DocNumb").prop('disabled', true);


    if (formMode == "AddModel") {
        $("#U_ATGrp").prop('disabled', false);
        $("#U_ModCode").prop('disabled', false);
        $("#UploadFiles").prop('disabled', true);
        $("#SamplesContButtons").prop('disabled', true);

    }
    else {
        $("#U_ATGrp").prop('disabled', true);
        $("#U_ModCode").prop('disabled', true);
    }

    $("#U_PList").prop('disabled', true);

</script>

<style type="text/css">
    /* CSS used here will be applied after bootstrap.css */


    .carousel-inner > .item > img, .carousel-inner > .item > .active > img {
        height: 240px;
        width: auto;
        margin: auto;
        display: block;
    }

    .item .thumb {
        width: 25%;
        cursor: pointer;
        float: left;
    }

        .item .thumb img {
            width: auto;
            max-height: 80px;
            display: block;
        }
</style>

@* ---- ------ ---- Pop-Up Color ---- ------ ----*@
<div class="modal fade" id="ColorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">Search Color</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCode" value="option1" checked=""> By Code
                        </label>

                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckName" value="option1" checked=""> By Name
                        </label>
                    </div>

                   

                        <div class="col-md-2">
                            <label class="col-md-2 control-label">Search</label>
                        </div>

                        <div class="col-md-4">
                            <input type="text" name="regular" id="txtSearchColor" class="form-control">
                        </div>

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchColor" class="btn btn-success btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> Search</button>
                        </div>

                    </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadColor" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyColor">
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" id="btnChooseColor" class="btn btn-primary">@PurchaseOrders.Choose</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@* ---- ------ ---- Pop-Up Size ---- ------ ----*@
<div class="modal fade" id="ScaleModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Search Scale</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCode" value="option1" checked=""> By Code
                        </label>

                      
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckName" value="option1" checked=""> By Name
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchScale" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchScale" class="btn btn-success btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadScale" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyScale">
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" id="btnChooseScale" class="btn btn-primary">@PurchaseOrders.Choose</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@* ---- ------ ---- Pop-Up Variable ---- ------ ----*@
<div class="modal fade" id="VarModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Search Variable</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCode" value="option1" checked=""> By Code
                        </label>

                      
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckName" value="option1" checked=""> By Name
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchVar" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVar" class="btn btn-success btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadVar" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyVar">
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" id="btnChooseVar" class="btn btn-primary">@PurchaseOrders.Choose</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@* ---- ------ ---- Pop-Up Warehouse ---- ------ ----*@
<div class="modal fade" id="WhModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">@PDM.Search @PDM.Wh</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeWh" value="option1" checked=""> By Code
                        </label>
                      
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameWh" value="option1" checked=""> By Name
                        </label>
                    </div>
                    <div class="col-md-2">
                        <label class="col-md-2 control-label">Search</label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchWh" class="form-control">
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchWh" class="btn btn-success btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <div id="LoadWh" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyWh">
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="btnChooseWh" class="btn btn-primary">@PurchaseOrders.Choose</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@* ---- ------ ---- Pop-Up Secondary Warehouse ---- ------ ----*@
<div class="modal fade" id="SecondaryWhModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">@PDM.Search @PDM.Wh</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeWh" value="option1" checked=""> By Code
                        </label>
                       
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameWh" value="option1" checked=""> By Name
                        </label>
                    </div>
                    <div class="col-md-2">
                        <label class="col-md-2 control-label">Search</label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchSecondaryWh" class="form-control">
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchSecondaryWh" class="btn btn-success btn-ls pull-right " data-toggle="modal"><span class="glyphicon glyphicon-search"></span> Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive">
                        <div id="LoadSecondaryWh" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodySecondaryWh">
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="btnChooseSecondaryWh" class="btn btn-primary">@PurchaseOrders.Choose</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Modal POM Template*@
<div class="modal fade" id="ModalPOMTemplate" tabindex="-1" role="dialog" aria-labelledby="ModalPOMTemplateLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="ModalPOMTemplateLabel">@SaleOrders.Search </h4>
            </div>
            <div class="">
                <div id="LoadPOMTemplate" style=" text-align center ">
                    <img src="~/Content/img/Load.gif" />
                </div>
                <div class="panel-body udf_box_limitado" id="ModalPOMTemplateTable" style="width: 99% !important;">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>
@Scripts.Render("~/bundles/PDM")